/* ---------------------------------------------------------- */
/* @(#) KRN.SQL V100                */
/* ---------------------------------------------------------- */
/* Product Provided Situations and Templates for              */
/* IBM Tivoli Advanced Catalog Management Monitoring Agent  */
/*                                                            */
/* Licensed Materials - Property of IBM                       */
/* Copyright IBM Corp. 2005, 2013 All Rights Reserved               */
/* US Government Users Restricted Rights - Use, duplication or*/
/* disclosure restricted by GSA ADP Schedule Contract with    */
/* IBM Corp.                                                  */
/*                                                            */
/* Warning: this file contains ascii binary data that cannot  */
/*          be ftp'ed as TEXT between ascii and ebcdic hosts. */
/* ---------------------------------------------------------- */


/* Tasks */

/* Email_For_Threshold_Hit_On_Alias_Growth */
DELETE FROM O4SRV.CCT
WHERE KEY = "KRN_EMAIL_ALIAS";

INSERT INTO O4SRV.CCT
(
   AFFINITIES,
   CMD,
   DESC,
   ICON,
   KEY,
   NAME,
   RESERVED,
   SECURITY,
   TABLES,
   VERSION
)
VALUES
(
  "0000000000000000000000080000000000000000000", 
  "EMAIL_FOR_THRESHOLD_HIT_ON_ALIAS_GROWTH [&KRN_ALIAS_SPACE.BCSNAME]
 [&KRN_ALIAS_SPACE.ALIASROOM]",
  "Send an email to inform that the threshold on alias growth has been
 hit.",
  " ", 
  "KRN_EMAIL_ALIAS", 
  "Email_For_Threshold_Hit_On_Alias_Growth", 
  " ", 
  " ", 
  " ", 
  " " 
);

/* Email_For_Threshold_Hit_On_Extent_Growth */
DELETE FROM O4SRV.CCT
WHERE KEY = "KRN_EMAIL_EXTENT";

INSERT INTO O4SRV.CCT
(
   AFFINITIES,
   CMD,
   DESC,
   ICON,
   KEY,
   NAME,
   RESERVED,
   SECURITY,
   TABLES,
   VERSION
)
VALUES
(
  "0000000000000000000000080000000000000000000", 
  "EMAIL_FOR_THRESHOLD_HIT_ON_EXTENT_GROWTH
 [&KRN_CATALOG_DATASET_ATTRIBUTES.BCSNAME]
 [&KRN_CATALOG_DATASET_ATTRIBUTES.EXTENTS]",
  "Send an email to inform that the threshold on extent growth has been
 hit.",
  " ", 
  "KRN_EMAIL_EXTENT", 
  "Email_For_Threshold_Hit_On_Extent_Growth", 
  " ", 
  " ", 
  " ", 
  " " 
);

/* Email_For_Threshold_Hit_On_4GB_Limit */
DELETE FROM O4SRV.CCT
WHERE KEY = "KRN_EMAIL_4GB_LIMIT";

INSERT INTO O4SRV.CCT
(
   AFFINITIES,
   CMD,
   DESC,
   ICON,
   KEY,
   NAME,
   RESERVED,
   SECURITY,
   TABLES,
   VERSION
)
VALUES
(
  "0000000000000000000000080000000000000000000", 
  "EMAIL_FOR_THRESHOLD_HIT_ON_4GB_LIMIT
 [&KRN_CATALOG_DATASET_ATTRIBUTES.BCSNAME]
 [&KRN_CATALOG_DATASET_ATTRIBUTES.PCT4GBLIM]",
  "Send an email to inform that the threshold on 4GB limit has been hit.
",
  " ", 
  "KRN_EMAIL_4GB_LIMIT", 
  "Email_For_Threshold_Hit_On_4GB_Limit", 
  " ", 
  " ", 
  " ", 
  " " 
);

/* Email_For_Threshold_Hit_On_Volume_Space */
DELETE FROM O4SRV.CCT
WHERE KEY = "KRN_EMAIL_VOLUME_SPACE";

INSERT INTO O4SRV.CCT
(
   AFFINITIES,
   CMD,
   DESC,
   ICON,
   KEY,
   NAME,
   RESERVED,
   SECURITY,
   TABLES,
   VERSION
)
VALUES
(
  "0000000000000000000000080000000000000000000", 
  "EMAIL_FOR_THRESHOLD_HIT_ON_VOLUME_SPACE
 [&KRN_CATALOG_VOLUME_SUMMARY.VOLSER]
 [&KRN_CATALOG_VOLUME_SUMMARY.PCTFULL]",
  "Send an email to inform that the threshold on volume space has been
 hit.",
  " ", 
  "KRN_EMAIL_VOLUME_SPACE", 
  "Email_For_Threshold_Hit_On_Volume_Space", 
  " ", 
  " ", 
  " ", 
  " " 
);

/* Submit_Catalog_Backup_Job */
DELETE FROM O4SRV.CCT
WHERE KEY = "KRN_SUBMIT_BACKUP_JOB";

INSERT INTO O4SRV.CCT
(
   AFFINITIES,
   CMD,
   DESC,
   ICON,
   KEY,
   NAME,
   RESERVED,
   SECURITY,
   TABLES,
   VERSION
)
VALUES
(
  "0000000000000000000000080000000000000000000", 
  "SUBMIT_CATALOG_BACKUP_JOB [&KRN_LAST_CATALOG_BACKUP.BCSNAME]
 [&KRN_LAST_CATALOG_BACKUP.LBKPNAME]",
  "Directly request the submission of a batch job to back up a catalog
 from the TEP GUI.",
  " ", 
  "KRN_SUBMIT_BACKUP_JOB", 
  "Submit_Catalog_Backup_Job", 
  " ", 
  " ", 
  " ", 
  " " 
);

/* Submit_IDCAMS_Diagnose_Job */
DELETE FROM O4SRV.CCT
WHERE KEY = "KRN_SUBMIT_IDCAMS_DIAG_JOB";

INSERT INTO O4SRV.CCT
(
   AFFINITIES,
   CMD,
   DESC,
   ICON,
   KEY,
   NAME,
   RESERVED,
   SECURITY,
   TABLES,
   VERSION
)
VALUES
(
  "0000000000000000000000080000000000000000000", 
  "SUBMIT_IDCAMS_DIAGNOSE_JOB [&KRN_LAST_CATALOG_BACKUP.BCSNAME]",
  "Directly request the submission of a batch job to run IDCAMS
 diagnostics from the TEP GUI.",
  " ", 
  "KRN_SUBMIT_IDCAMS_DIAG_JOB", 
  "Submit_IDCAMS_Diagnose_Job", 
  " ", 
  " ", 
  " ", 
  " " 
);

/* Submit_IDCAMS_Examine_Job */
DELETE FROM O4SRV.CCT
WHERE KEY = "KRN_SUBMIT_IDCAMS_EXAM_JOB";

INSERT INTO O4SRV.CCT
(
   AFFINITIES,
   CMD,
   DESC,
   ICON,
   KEY,
   NAME,
   RESERVED,
   SECURITY,
   TABLES,
   VERSION
)
VALUES
(
  "0000000000000000000000080000000000000000000", 
  "SUBMIT_IDCAMS_EXAMINE_JOB [&KRN_LAST_CATALOG_BACKUP.BCSNAME]",
  "Directly request the submission of a batch job to perform an EXAMINE
 on the backup catalog from the TEP GUI.",
  " ", 
  "KRN_SUBMIT_IDCAMS_EXAM_JOB", 
  "Submit_IDCAMS_Examine_Job", 
  " ", 
  " ", 
  " ", 
  " " 
);

/* WTO_Request_Catalog_Backup */
DELETE FROM O4SRV.CCT
WHERE KEY = "KRN_WTO_REQUEST_BACKUP";

INSERT INTO O4SRV.CCT
(
   AFFINITIES,
   CMD,
   DESC,
   ICON,
   KEY,
   NAME,
   RESERVED,
   SECURITY,
   TABLES,
   VERSION
)
VALUES
(
  "0000000000000000000000080000000000000000000", 
  "WTO_REQUEST_CATALOG_BACKUP [&KRN_LAST_CATALOG_BACKUP.BCSNAME]
 [&KRN_LAST_CATALOG_BACKUP.LBKPNAME]",
  "Request via WTO that this catalog be backed up. The WTO is of the
 form: KRN REQUEST: ACTION(BACKUP) BCSNAME($BCSNAME)
 LBKPNAME($LBKPNAME), and can be picked up by an automation tool.",
  " ", 
  "KRN_WTO_REQUEST_BACKUP", 
  "WTO_Request_Catalog_Backup", 
  " ", 
  " ", 
  " ", 
  " " 
);

/* WTO_Request_Catalog_Reorg */
DELETE FROM O4SRV.CCT
WHERE KEY = "KRN_WTO_REQUEST_REORG";

INSERT INTO O4SRV.CCT
(
   AFFINITIES,
   CMD,
   DESC,
   ICON,
   KEY,
   NAME,
   RESERVED,
   SECURITY,
   TABLES,
   VERSION
)
VALUES
(
  "0000000000000000000000080000000000000000000", 
  "WTO_REQUEST_CATALOG_REORG [&KRN_CATALOG_DATASET_ATTRIBUTES.BCSNAME]
 [&KRN_CATALOG_DATASET_ATTRIBUTES.EXTENTS]",
  "Request via WTO that this catalog be reorganized. The WTO is of the
 form: KRN REQUEST: ACTION(REORG) BCSNAME($BCSNAME) EXTENTS($EXTENTS).",
  " ", 
  "KRN_WTO_REQUEST_REORG", 
  "WTO_Request_Catalog_Reorg", 
  " ", 
  " ", 
  " ", 
  " " 
);

/* Situations */
DELETE FROM O4SRV.TOBJACCL
 WHERE NODEL = "*RM_CMCZ"
 AND OBJNAME = "KRN_Non_Zero_Job_Submission_RC"
 AND OBJCLASS = "5140"
 AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
 AND SYSTEM.PARMA("QIBCLASSID", "5535", 4);

DELETE FROM O4SRV.TSITDESC
 WHERE SITNAME = "KRN_Non_Zero_Job_Submission_RC"
 AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
 AND SYSTEM.PARMA("QIBCLASSID", "5140", 4);

$PARMS 
( 
'ADVICE("krn:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD,
   QIBCLASSID
) 
VALUES
( 
"00000000000000000000000800000000#*000000000",
"*NO",
"*NO",
"",
" ",
"1130320000000000",
"V100",
"CCC_V100",
"",
"*IF *VALUE KRN_EVENT_INFORMATION.RETCODE *GT 0",
"E",
"0",
"000000",
"*NONE",
"KRN_Non_Zero_Job_Submission_RC",
"Krn:KRN1013",
"NNN",
"ATOM=KRNQACMEVT.JOBNAME;SEV=Warning",
?,
"*NONE",
"5140"); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS, 
  QIBCLASSID 
)
VALUES
(
  "*RM_CMCZ" ,
  "KRN_Non_Zero_Job_Submission_RC" ,
  "Y" ,
  "1130320000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140", 
  "5535" 
);
DELETE FROM O4SRV.TOBJACCL
 WHERE NODEL = "*RM_CMCZ"
 AND OBJNAME = "KRN_Cat_4GB_Limit_Critical"
 AND OBJCLASS = "5140"
 AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
 AND SYSTEM.PARMA("QIBCLASSID", "5535", 4);

DELETE FROM O4SRV.TSITDESC
 WHERE SITNAME = "KRN_Cat_4GB_Limit_Critical"
 AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
 AND SYSTEM.PARMA("QIBCLASSID", "5140", 4);

$PARMS 
( 
'ADVICE("krn:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD,
   QIBCLASSID
) 
VALUES
( 
"00000000000000000000000800000000##000000000",
"*NO",
"*NO",
"",
" ",
"1130320000000000",
"V100",
"CCC_V100",
"",
"*IF *VALUE KRN_CATALOG_DATASET_ATTRIBUTES.PCT4GBLIM *GT 90",
"E",
"0",
"000100",
"*NONE",
"KRN_Cat_4GB_Limit_Critical",
"Krn:KRN1014",
"NNN",
"ATOM=KRNCATDSA.BCSNAME;SEV=Critical",
?,
"*NONE",
"5140"); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS, 
  QIBCLASSID 
)
VALUES
(
  "*RM_CMCZ" ,
  "KRN_Cat_4GB_Limit_Critical" ,
  "Y" ,
  "1130320000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140", 
  "5535" 
);
DELETE FROM O4SRV.TOBJACCL
 WHERE NODEL = "*RM_CMCZ"
 AND OBJNAME = "KRN_Cat_Extents_Critical"
 AND OBJCLASS = "5140"
 AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
 AND SYSTEM.PARMA("QIBCLASSID", "5535", 4);

DELETE FROM O4SRV.TSITDESC
 WHERE SITNAME = "KRN_Cat_Extents_Critical"
 AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
 AND SYSTEM.PARMA("QIBCLASSID", "5140", 4);

$PARMS 
( 
'ADVICE("krn:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD,
   QIBCLASSID
) 
VALUES
( 
"00000000000000000000000800000000##000000000",
"*NO",
"*NO",
"",
" ",
"1130320000000000",
"V100",
"CCC_V100",
"",
"*IF *VALUE KRN_CATALOG_DATASET_ATTRIBUTES.EXTENTS *GT 100",
"E",
"0",
"000100",
"*NONE",
"KRN_Cat_Extents_Critical",
"Krn:KRN1015",
"NNN",
"ATOM=KRNCATDSA.BCSNAME;SEV=Critical",
?,
"*NONE",
"5140"); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS, 
  QIBCLASSID 
)
VALUES
(
  "*RM_CMCZ" ,
  "KRN_Cat_Extents_Critical" ,
  "Y" ,
  "1130320000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140", 
  "5535" 
);
DELETE FROM O4SRV.TOBJACCL
 WHERE NODEL = "*RM_CMCZ"
 AND OBJNAME = "KRN_Cat_Backup_Critical"
 AND OBJCLASS = "5140"
 AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
 AND SYSTEM.PARMA("QIBCLASSID", "5535", 4);

DELETE FROM O4SRV.TSITDESC
 WHERE SITNAME = "KRN_Cat_Backup_Critical"
 AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
 AND SYSTEM.PARMA("QIBCLASSID", "5140", 4);

$PARMS 
( 
'ADVICE("krn:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD,
   QIBCLASSID
) 
VALUES
( 
"00000000000000000000000800000000##000000000",
"*NO",
"*NO",
"",
" ",
"1130320000000000",
"V100",
"CCC_V100",
"",
"*IF *VALUE KRN_LAST_CATALOG_BACKUP.LBKPRC *GE 8",
"E",
"0",
"000100",
"*NONE",
"KRN_Cat_Backup_Critical",
"Krn:KRN1016",
"NNN",
"ATOM=KRNLBKP.BCSNAME;SEV=Critical",
?,
"*NONE",
"5140"); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS, 
  QIBCLASSID 
)
VALUES
(
  "*RM_CMCZ" ,
  "KRN_Cat_Backup_Critical" ,
  "Y" ,
  "1130320000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140", 
  "5535" 
);
DELETE FROM O4SRV.TOBJACCL
 WHERE NODEL = "*RM_CMCZ"
 AND OBJNAME = "KRN_Cat_Backup_Warning"
 AND OBJCLASS = "5140"
 AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
 AND SYSTEM.PARMA("QIBCLASSID", "5535", 4);

DELETE FROM O4SRV.TSITDESC
 WHERE SITNAME = "KRN_Cat_Backup_Warning"
 AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
 AND SYSTEM.PARMA("QIBCLASSID", "5140", 4);

$PARMS 
( 
'ADVICE("krn:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD,
   QIBCLASSID
) 
VALUES
( 
"00000000000000000000000800000000##000000000",
"*NO",
"*NO",
"",
" ",
"1130320000000000",
"V100",
"CCC_V100",
"",
"*IF ( ( *VALUE KRN_LAST_CATALOG_BACKUP.LBKPRC *GT 0 ) *AND ( *VALUE
 KRN_LAST_CATALOG_BACKUP.LBKPRC *LT 8 ) )",
"E",
"0",
"000100",
"*NONE",
"KRN_Cat_Backup_Warning",
"Krn:KRN1017",
"NNN",
"ATOM=KRNLBKP.BCSNAME;SEV=Warning",
?,
"*NONE",
"5140"); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS, 
  QIBCLASSID 
)
VALUES
(
  "*RM_CMCZ" ,
  "KRN_Cat_Backup_Warning" ,
  "Y" ,
  "1130320000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140", 
  "5535" 
);
DELETE FROM O4SRV.TOBJACCL
 WHERE NODEL = "*RM_CMCZ"
 AND OBJNAME = "KRN_Cat_Hit_Pct_Warning"
 AND OBJCLASS = "5140"
 AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
 AND SYSTEM.PARMA("QIBCLASSID", "5535", 4);

DELETE FROM O4SRV.TSITDESC
 WHERE SITNAME = "KRN_Cat_Hit_Pct_Warning"
 AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
 AND SYSTEM.PARMA("QIBCLASSID", "5140", 4);

$PARMS 
( 
'ADVICE("krn:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD,
   QIBCLASSID
) 
VALUES
( 
"00000000000000000000000800000000##000000000",
"*NO",
"*NO",
"",
" ",
"1130320000000000",
"V100",
"CCC_V100",
"",
"*IF *VALUE KRN_CACHE_PERFORMANCE.CCHPCTHIT *LT 20 *AND *VALUE
 KRN_CACHE_PERFORMANCE.CATTYPE *NE Master *AND *VALUE
 KRN_CACHE_PERFORMANCE.CCHSEARCH *GT 100",
"E",
"0",
"000100",
"*NONE",
"KRN_Cat_Hit_Pct_Warning",
"Krn:KRN1018",
"NNN",
"ATOM=KRNCCHPRF.BCSNAME;SEV=Warning",
?,
"*NONE",
"5140"); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS, 
  QIBCLASSID 
)
VALUES
(
  "*RM_CMCZ" ,
  "KRN_Cat_Hit_Pct_Warning" ,
  "Y" ,
  "1130320000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140", 
  "5535" 
);
DELETE FROM O4SRV.TOBJACCL
 WHERE NODEL = "*RM_CMCZ"
 AND OBJNAME = "KRN_Alias_Remain_Critical"
 AND OBJCLASS = "5140"
 AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
 AND SYSTEM.PARMA("QIBCLASSID", "5535", 4);

DELETE FROM O4SRV.TSITDESC
 WHERE SITNAME = "KRN_Alias_Remain_Critical"
 AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
 AND SYSTEM.PARMA("QIBCLASSID", "5140", 4);

$PARMS 
( 
'ADVICE("krn:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD,
   QIBCLASSID
) 
VALUES
( 
"00000000000000000000000800000000##000000000",
"*NO",
"*NO",
"",
" ",
"1130320000000000",
"V100",
"CCC_V100",
"",
"*IF *VALUE KRN_ALIAS_SPACE.ALIASROOM *LT 100",
"E",
"0",
"000100",
"*NONE",
"KRN_Alias_Remain_Critical",
"Krn:KRN1019",
"NNN",
"ATOM=KRNALSPC.BCSNAME;SEV=Critical",
?,
"*NONE",
"5140"); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS, 
  QIBCLASSID 
)
VALUES
(
  "*RM_CMCZ" ,
  "KRN_Alias_Remain_Critical" ,
  "Y" ,
  "1130320000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140", 
  "5535" 
);
DELETE FROM O4SRV.TOBJACCL
 WHERE NODEL = "*RM_CMCZ"
 AND OBJNAME = "KRN_Vol_Pct_Full_Critical"
 AND OBJCLASS = "5140"
 AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
 AND SYSTEM.PARMA("QIBCLASSID", "5535", 4);

DELETE FROM O4SRV.TSITDESC
 WHERE SITNAME = "KRN_Vol_Pct_Full_Critical"
 AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
 AND SYSTEM.PARMA("QIBCLASSID", "5140", 4);

$PARMS 
( 
'ADVICE("krn:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD,
   QIBCLASSID
) 
VALUES
( 
"00000000000000000000000800000000##000000000",
"*NO",
"*NO",
"",
" ",
"1130320000000000",
"V100",
"CCC_V100",
"",
"*IF *VALUE KRN_CATALOG_VOLUME_SUMMARY.PCTFULL *GT 95",
"E",
"0",
"000100",
"*NONE",
"KRN_Vol_Pct_Full_Critical",
"Krn:KRN1020",
"NNN",
"ATOM=KRNCATVOL.VOLSER;SEV=Critical",
?,
"*NONE",
"5140"); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS, 
  QIBCLASSID 
)
VALUES
(
  "*RM_CMCZ" ,
  "KRN_Vol_Pct_Full_Critical" ,
  "Y" ,
  "1130320000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140", 
  "5535" 
);
DELETE FROM O4SRV.TOBJACCL
 WHERE NODEL = "*RM_CMCZ"
 AND OBJNAME = "KRN_Vol_Frag_Idx_Critical"
 AND OBJCLASS = "5140"
 AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
 AND SYSTEM.PARMA("QIBCLASSID", "5535", 4);

DELETE FROM O4SRV.TSITDESC
 WHERE SITNAME = "KRN_Vol_Frag_Idx_Critical"
 AND SYSTEM.PARMA("QIBUSER", "sysadmin", 10)
 AND SYSTEM.PARMA("QIBCLASSID", "5140", 4);

$PARMS 
( 
'ADVICE("krn:"+$ISITSTSH.SITNAME$);'
); 

INSERT INTO O4SRV.TSITDESC

( 
   AFFINITIES,
   ALERTLIST,
   AUTOSTART,
   HUB,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   OBJECTLOCK,
   PDT,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   SENDMSGQ,
   SITNAME,
   TEXT,
   AUTOSOPT,
   SITINFO,
   ADVISE,
   CMD,
   QIBCLASSID
) 
VALUES
( 
"00000000000000000000000800000000##000000000",
"*NO",
"*NO",
"",
" ",
"1130320000000000",
"V100",
"CCC_V100",
"",
"*IF *VALUE KRN_CATALOG_VOLUME_SUMMARY.FRAGIDX *GE 850",
"E",
"0",
"000100",
"*NONE",
"KRN_Vol_Frag_Idx_Critical",
"Krn:KRN1021",
"NNN",
"ATOM=KRNCATVOL.VOLSER;SEV=Critical",
?,
"*NONE",
"5140"); 

INSERT INTO O4SRV.TOBJACCL
(
  NODEL, 
  OBJNAME, 
  HUB, 
  LSTDATE, 
  LSTRELEASE, 
  LSTUSRPRF, 
  OBJCLASS, 
  QIBCLASSID 
)
VALUES
(
  "*RM_CMCZ" ,
  "KRN_Vol_Frag_Idx_Critical" ,
  "Y" ,
  "1130320000000000" ,
  "V100" ,
  "CCC_V100" ,
  "5140", 
  "5535" 
);
